package stgglb

import (
	"gitlink.org.cn/cloudream/common/pkgs/mq"
	coormq "gitlink.org.cn/cloudream/jcs-pub/common/pkgs/mq/coordinator"
	scmq "gitlink.org.cn/cloudream/jcs-pub/common/pkgs/mq/scanner"
	hubrpc "gitlink.org.cn/cloudream/jcs-pub/common/pkgs/rpc/hub"
)

var CoordinatorMQPool coormq.Pool

var ScannerMQPool scmq.Pool

// InitMQPool
//
//	@Description: 初始化MQ连接池
//	@param cfg
func InitMQPool(cfg mq.Config) {
	CoordinatorMQPool = coormq.NewPool(cfg)

	ScannerMQPool = scmq.NewPool(cfg)

}

var HubRPCPool *hubrpc.Pool

// InitHubRPCPool
//
//	@Description: 初始化HubRPC连接池
//	@param cfg
func InitHubRPCPool(cfg hubrpc.PoolConfig) {
	HubRPCPool = hubrpc.NewPool(cfg)
}
